<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 3 solution.</p>
		<button onclick="continuousNumber()">Find Kth missing number</button>
		<p id="demo"></p>

		<script>
			function continuousNumber() {
				var array_size;
				var missing_Number;
				var count;
				var j,i,flag;
				var number;
				var output = "";
				var test_case = prompt("Please enter no of test case : ");
				for(j=0;j<test_case;j++) {
					count = 0;
					flag = 0;
					array_size = prompt(`Please enter size of array ${j+1}: `);
					missing_Number = prompt(`Please enter which missing number you want in  ${j+1} array: `);
					var array = [];
					for(i=0;i<array_size;i++){
						array.push(prompt(`please enter ${i+1} element of ${j+1} array: `));
					}
					for(i=0;i<array_size;i++){
						if(array[i] != i+1+count) 
							count++;
						if(count == missing_Number) {
							flag = 1;
							break;
						}
					}
					if(flag == 1)
						number = array[i]-1;
					else if(flag == 0)
						number = -1;
					output += `Your ${j+1} given array is : `+array+`<br> Your ${missing_Number} missing number for above array is  : `+number+"<br><br><br>";
				}	
				document.getElementById("demo").innerHTML = output;
			}
		</script>

	</body>
</html>